# -*- coding: utf-8 -*-

from ..enums import IntEnum, IntEnumValue


__all__ = (
    'EMsg',
    'IntEnumValue',
)


class EMsg(IntEnum):
    Invalid: IntEnumValue = 0
    Multi: IntEnumValue = 1
    ProtobufWrapped: IntEnumValue = 2

    BaseGeneral: IntEnumValue = 100
    GenericReply: IntEnumValue = 100
    DestJobFailed: IntEnumValue = 113
    Alert: IntEnumValue = 115
    SCIDRequest: IntEnumValue = 120
    SCIDResponse: IntEnumValue = 121
    JobHeartbeat: IntEnumValue = 123
    HubConnect: IntEnumValue = 124
    Subscribe: IntEnumValue = 126
    AMCreateAccountResponse: IntEnumValue = 129
    WGRequest: IntEnumValue = 130
    WGResponse: IntEnumValue = 131
    KeepAlive: IntEnumValue = 132
    WebAPIJobRequest: IntEnumValue = 133
    WebAPIJobResponse: IntEnumValue = 134
    ClientSessionStart: IntEnumValue = 135
    ClientSessionEnd: IntEnumValue = 136
    ClientSessionUpdate: IntEnumValue = 137
    Ping: IntEnumValue = 139
    PingResponse: IntEnumValue = 140
    Stats: IntEnumValue = 141
    RequestFullStatsBlock: IntEnumValue = 142
    LoadDBOCacheItem: IntEnumValue = 143
    LoadDBOCacheItemResponse: IntEnumValue = 144
    InvalidateDBOCacheItems: IntEnumValue = 145
    ServiceMethod: IntEnumValue = 146
    ServiceMethodResponse: IntEnumValue = 147
    ClientPackageVersions: IntEnumValue = 148
    TimestampRequest: IntEnumValue = 149
    TimestampResponse: IntEnumValue = 150
    ServiceMethodCallFromClient: IntEnumValue = 151
    ServiceMethodSendToClient: IntEnumValue = 152

    BaseShell: IntEnumValue = 200
    AssignSysID: IntEnumValue = 200
    Exit: IntEnumValue = 201
    DirRequest: IntEnumValue = 202
    DirResponse: IntEnumValue = 203
    ZipRequest: IntEnumValue = 204
    ZipResponse: IntEnumValue = 205
    UpdateRecordResponse: IntEnumValue = 215
    UpdateCreditCardRequest: IntEnumValue = 221
    UpdateUserBanResponse: IntEnumValue = 225
    PrepareToExit: IntEnumValue = 226
    ContentDescriptionUpdate: IntEnumValue = 227
    TestResetServer: IntEnumValue = 228
    UniverseChanged: IntEnumValue = 229
    ShellConfigInfoUpdate: IntEnumValue = 230
    RequestWindowsEventLogEntries: IntEnumValue = 233
    ProvideWindowsEventLogEntries: IntEnumValue = 234
    ShellSearchLogs: IntEnumValue = 235
    ShellSearchLogsResponse: IntEnumValue = 236
    ShellCheckWindowsUpdates: IntEnumValue = 237
    ShellCheckWindowsUpdatesResponse: IntEnumValue = 238

    BaseGM: IntEnumValue = 300
    Heartbeat: IntEnumValue = 300
    ShellFailed: IntEnumValue = 301
    ExitShells: IntEnumValue = 307
    ExitShell: IntEnumValue = 308
    GracefulExitShell: IntEnumValue = 309
    NotifyWatchdog: IntEnumValue = 314
    LicenseProcessingComplete: IntEnumValue = 316
    SetTestFlag: IntEnumValue = 317
    QueuedEmailsComplete: IntEnumValue = 318
    GMReportPHPError: IntEnumValue = 319
    GMDRMSync: IntEnumValue = 320
    PhysicalBoxInventory: IntEnumValue = 321
    UpdateConfigFile: IntEnumValue = 322
    TestInitDB: IntEnumValue = 323
    GMWriteConfigToSQL: IntEnumValue = 324
    GMLoadActivationCodes: IntEnumValue = 325
    GMQueueForFBS: IntEnumValue = 326
    GMSchemaConversionResults: IntEnumValue = 327
    GMWriteShellFailureToSQL: IntEnumValue = 329
    GMWriteStatsToSOS: IntEnumValue = 330
    GMGetServiceMethodRouting: IntEnumValue = 331
    GMGetServiceMethodRoutingResponse: IntEnumValue = 332
    GMConvertUserWallets: IntEnumValue = 333

    BaseAIS: IntEnumValue = 400
    AISRequestContentDescription: IntEnumValue = 402
    AISUpdateAppInfo: IntEnumValue = 403
    AISUpdatePackageCosts: IntEnumValue = 404
    AISGetPackageChangeNumber: IntEnumValue = 405
    AISGetPackageChangeNumberResponse: IntEnumValue = 406
    AISUpdatePackageCostsResponse: IntEnumValue = 408
    AISCreateMarketingMessage: IntEnumValue = 409
    AISCreateMarketingMessageResponse: IntEnumValue = 410
    AISGetMarketingMessage: IntEnumValue = 411
    AISGetMarketingMessageResponse: IntEnumValue = 412
    AISUpdateMarketingMessage: IntEnumValue = 413
    AISUpdateMarketingMessageResponse: IntEnumValue = 414
    AISRequestMarketingMessageUpdate: IntEnumValue = 415
    AISDeleteMarketingMessage: IntEnumValue = 416
    AIGetAppGCFlags: IntEnumValue = 423
    AIGetAppGCFlagsResponse: IntEnumValue = 424
    AIGetAppList: IntEnumValue = 425
    AIGetAppListResponse: IntEnumValue = 426
    AISGetCouponDefinition: IntEnumValue = 429
    AISGetCouponDefinitionResponse: IntEnumValue = 430
    AISUpdateSlaveContentDescription: IntEnumValue = 431
    AISUpdateSlaveContentDescriptionResponse: IntEnumValue = 432
    AISTestEnableGC: IntEnumValue = 433

    BaseAM: IntEnumValue = 500
    AMUpdateUserBanRequest: IntEnumValue = 504
    AMAddLicense: IntEnumValue = 505
    AMSendSystemIMToUser: IntEnumValue = 508
    AMExtendLicense: IntEnumValue = 509
    AMAddMinutesToLicense: IntEnumValue = 510
    AMCancelLicense: IntEnumValue = 511
    AMInitPurchase: IntEnumValue = 512
    AMPurchaseResponse: IntEnumValue = 513
    AMGetFinalPrice: IntEnumValue = 514
    AMGetFinalPriceResponse: IntEnumValue = 515
    AMGetLegacyGameKey: IntEnumValue = 516
    AMGetLegacyGameKeyResponse: IntEnumValue = 517
    AMFindHungTransactions: IntEnumValue = 518
    AMSetAccountTrustedRequest: IntEnumValue = 519
    AMCompletePurchase: IntEnumValue = 521
    AMCancelPurchase: IntEnumValue = 522
    AMNewChallenge: IntEnumValue = 523
    AMLoadOEMTickets: IntEnumValue = 524
    AMFixPendingPurchase: IntEnumValue = 525
    AMFixPendingPurchaseResponse: IntEnumValue = 526
    AMIsUserBanned: IntEnumValue = 527
    AMRegisterKey: IntEnumValue = 528
    AMLoadActivationCodes: IntEnumValue = 529
    AMLoadActivationCodesResponse: IntEnumValue = 530
    AMLookupKeyResponse: IntEnumValue = 531
    AMLookupKey: IntEnumValue = 532
    AMChatCleanup: IntEnumValue = 533
    AMClanCleanup: IntEnumValue = 534
    AMFixPendingRefund: IntEnumValue = 535
    AMReverseChargeback: IntEnumValue = 536
    AMReverseChargebackResponse: IntEnumValue = 537
    AMClanCleanupList: IntEnumValue = 538
    AMGetLicenses: IntEnumValue = 539
    AMGetLicensesResponse: IntEnumValue = 540
    AllowUserToPlayQuery: IntEnumValue = 550
    AllowUserToPlayResponse: IntEnumValue = 551
    AMVerfiyUser: IntEnumValue = 552
    AMClientNotPlaying: IntEnumValue = 553
    ClientRequestFriendship: IntEnumValue = 554
    AMRelayPublishStatus: IntEnumValue = 555
    AMInitPurchaseResponse: IntEnumValue = 560
    AMRevokePurchaseResponse: IntEnumValue = 561
    AMRefreshGuestPasses: IntEnumValue = 563
    AMInviteUserToClan: IntEnumValue = 564
    AMAcknowledgeClanInvite: IntEnumValue = 565
    AMGrantGuestPasses: IntEnumValue = 566
    AMClanDataUpdated: IntEnumValue = 567
    AMReloadAccount: IntEnumValue = 568
    AMClientChatMsgRelay: IntEnumValue = 569
    AMChatMulti: IntEnumValue = 570
    AMClientChatInviteRelay: IntEnumValue = 571
    AMChatInvite: IntEnumValue = 572
    AMClientJoinChatRelay: IntEnumValue = 573
    AMClientChatMemberInfoRelay: IntEnumValue = 574
    AMPublishChatMemberInfo: IntEnumValue = 575
    AMClientAcceptFriendInvite: IntEnumValue = 576
    AMChatEnter: IntEnumValue = 577
    AMClientPublishRemovalFromSource: IntEnumValue = 578
    AMChatActionResult: IntEnumValue = 579
    AMFindAccounts: IntEnumValue = 580
    AMFindAccountsResponse: IntEnumValue = 581
    AMRequestAccountData: IntEnumValue = 582
    AMRequestAccountDataResponse: IntEnumValue = 583
    AMSetAccountFlags: IntEnumValue = 584
    AMCreateClan: IntEnumValue = 586
    AMCreateClanResponse: IntEnumValue = 587
    AMGetClanDetails: IntEnumValue = 588
    AMGetClanDetailsResponse: IntEnumValue = 589
    AMSetPersonaName: IntEnumValue = 590
    AMSetAvatar: IntEnumValue = 591
    AMAuthenticateUser: IntEnumValue = 592
    AMAuthenticateUserResponse: IntEnumValue = 593
    AMP2PIntroducerMessage: IntEnumValue = 596
    ClientChatAction: IntEnumValue = 597
    AMClientChatActionRelay: IntEnumValue = 598

    BaseVS: IntEnumValue = 600
    ReqChallenge: IntEnumValue = 600
    VACResponse: IntEnumValue = 601
    ReqChallengeTest: IntEnumValue = 602
    VSMarkCheat: IntEnumValue = 604
    VSAddCheat: IntEnumValue = 605
    VSPurgeCodeModDB: IntEnumValue = 606
    VSGetChallengeResults: IntEnumValue = 607
    VSChallengeResultText: IntEnumValue = 608
    VSReportLingerer: IntEnumValue = 609
    VSRequestManagedChallenge: IntEnumValue = 610
    VSLoadDBFinished: IntEnumValue = 611

    BaseDRMS: IntEnumValue = 625
    DRMBuildBlobRequest: IntEnumValue = 628
    DRMBuildBlobResponse: IntEnumValue = 629
    DRMResolveGuidRequest: IntEnumValue = 630
    DRMResolveGuidResponse: IntEnumValue = 631
    DRMVariabilityReport: IntEnumValue = 633
    DRMVariabilityReportResponse: IntEnumValue = 634
    DRMStabilityReport: IntEnumValue = 635
    DRMStabilityReportResponse: IntEnumValue = 636
    DRMDetailsReportRequest: IntEnumValue = 637
    DRMDetailsReportResponse: IntEnumValue = 638
    DRMProcessFile: IntEnumValue = 639
    DRMAdminUpdate: IntEnumValue = 640
    DRMAdminUpdateResponse: IntEnumValue = 641
    DRMSync: IntEnumValue = 642
    DRMSyncResponse: IntEnumValue = 643
    DRMProcessFileResponse: IntEnumValue = 644
    DRMEmptyGuidCache: IntEnumValue = 645
    DRMEmptyGuidCacheResponse: IntEnumValue = 646

    BaseCS: IntEnumValue = 650

    BaseClient: IntEnumValue = 700
    ClientHeartBeat: IntEnumValue = 703
    ClientVACResponse: IntEnumValue = 704
    ClientLogOff: IntEnumValue = 706
    ClientNoUDPConnectivity: IntEnumValue = 707
    ClientInformOfCreateAccount: IntEnumValue = 708
    ClientAckVACBan: IntEnumValue = 709
    ClientConnectionStats: IntEnumValue = 710
    ClientPingResponse: IntEnumValue = 712
    ClientRemoveFriend: IntEnumValue = 714
    ClientGamesPlayedNoDataBlob: IntEnumValue = 715
    ClientChangeStatus: IntEnumValue = 716
    ClientVacStatusResponse: IntEnumValue = 717
    ClientFriendMsg: IntEnumValue = 718
    ClientSystemIM: IntEnumValue = 726
    ClientSystemIMAck: IntEnumValue = 727
    ClientGetLicenses: IntEnumValue = 728
    ClientGetLegacyGameKey: IntEnumValue = 730
    ClientAckVACBan2: IntEnumValue = 732
    ClientGetPurchaseReceipts: IntEnumValue = 736
    ClientAckGuestPass: IntEnumValue = 740
    ClientRedeemGuestPass: IntEnumValue = 741
    ClientGamesPlayed: IntEnumValue = 742
    ClientRegisterKey: IntEnumValue = 743
    ClientInviteUserToClan: IntEnumValue = 744
    ClientAcknowledgeClanInvite: IntEnumValue = 745
    ClientPurchaseWithMachineID: IntEnumValue = 746
    ClientAppUsageEvent: IntEnumValue = 747
    ClientLogOnResponse: IntEnumValue = 751
    ClientVACChallenge: IntEnumValue = 753
    ClientSetHeartbeatRate: IntEnumValue = 755
    ClientLoggedOff: IntEnumValue = 757
    GSApprove: IntEnumValue = 758
    GSDeny: IntEnumValue = 759
    GSKick: IntEnumValue = 760
    ClientCreateAcctResponse: IntEnumValue = 761
    ClientPurchaseResponse: IntEnumValue = 763
    ClientPing: IntEnumValue = 764
    ClientNOP: IntEnumValue = 765
    ClientPersonaState: IntEnumValue = 766
    ClientFriendsList: IntEnumValue = 767
    ClientAccountInfo: IntEnumValue = 768
    ClientVacStatusQuery: IntEnumValue = 770
    ClientNewsUpdate: IntEnumValue = 771
    ClientGameConnectDeny: IntEnumValue = 773
    GSStatusReply: IntEnumValue = 774
    ClientGameConnectTokens: IntEnumValue = 779
    ClientLicenseList: IntEnumValue = 780
    ClientVACBanStatus: IntEnumValue = 782
    ClientCMList: IntEnumValue = 783
    ClientEncryptPct: IntEnumValue = 784
    ClientGetLegacyGameKeyResponse: IntEnumValue = 785
    ClientAddFriend: IntEnumValue = 791
    ClientAddFriendResponse: IntEnumValue = 792
    ClientAckGuestPassResponse: IntEnumValue = 796
    ClientRedeemGuestPassResponse: IntEnumValue = 797
    ClientUpdateGuestPassesList: IntEnumValue = 798
    ClientChatMsg: IntEnumValue = 799
    ClientChatInvite: IntEnumValue = 800
    ClientJoinChat: IntEnumValue = 801
    ClientChatMemberInfo: IntEnumValue = 802
    ClientPasswordChangeResponse: IntEnumValue = 805
    ClientChatEnter: IntEnumValue = 807
    ClientFriendRemovedFromSource: IntEnumValue = 808
    ClientCreateChat: IntEnumValue = 809
    ClientCreateChatResponse: IntEnumValue = 810
    ClientP2PIntroducerMessage: IntEnumValue = 813
    ClientChatActionResult: IntEnumValue = 814
    ClientRequestFriendData: IntEnumValue = 815
    ClientGetUserStats: IntEnumValue = 818
    ClientGetUserStatsResponse: IntEnumValue = 819
    ClientStoreUserStats: IntEnumValue = 820
    ClientStoreUserStatsResponse: IntEnumValue = 821
    ClientClanState: IntEnumValue = 822
    ClientServiceModule: IntEnumValue = 830
    ClientServiceCall: IntEnumValue = 831
    ClientServiceCallResponse: IntEnumValue = 832
    ClientPackageInfoRequest: IntEnumValue = 833
    ClientPackageInfoResponse: IntEnumValue = 834
    ClientNatTraversalStatEvent: IntEnumValue = 839
    ClientAppInfoRequest: IntEnumValue = 840
    ClientAppInfoResponse: IntEnumValue = 841
    ClientSteamUsageEvent: IntEnumValue = 842
    ClientCheckPassword: IntEnumValue = 845
    ClientResetPassword: IntEnumValue = 846
    ClientCheckPasswordResponse: IntEnumValue = 848
    ClientResetPasswordResponse: IntEnumValue = 849
    ClientSessionToken: IntEnumValue = 850
    ClientDRMProblemReport: IntEnumValue = 851
    ClientSetIgnoreFriend: IntEnumValue = 855
    ClientSetIgnoreFriendResponse: IntEnumValue = 856
    ClientGetAppOwnershipTicket: IntEnumValue = 857
    ClientGetAppOwnershipTicketResponse: IntEnumValue = 858
    ClientGetLobbyListResponse: IntEnumValue = 860
    ClientVTTCert: IntEnumValue = 863
    ClientAppInfoUpdate: IntEnumValue = 866
    ClientAppInfoChanges: IntEnumValue = 867
    ClientServerList: IntEnumValue = 880
    ClientEmailChangeResponse: IntEnumValue = 891
    ClientSecretQAChangeResponse: IntEnumValue = 892
    ClientDRMBlobRequest: IntEnumValue = 896
    ClientDRMBlobResponse: IntEnumValue = 897

    BaseGameServer: IntEnumValue = 900
    GSDisconnectNotice: IntEnumValue = 901
    GSStatus: IntEnumValue = 903
    GSUserPlaying: IntEnumValue = 905
    GSStatus2: IntEnumValue = 906
    GSStatusUpdate_Unused: IntEnumValue = 907
    GSServerType: IntEnumValue = 908
    GSPlayerList: IntEnumValue = 909
    GSGetUserAchievementStatus: IntEnumValue = 910
    GSGetUserAchievementStatusResponse: IntEnumValue = 911
    GSGetPlayStats: IntEnumValue = 918
    GSGetPlayStatsResponse: IntEnumValue = 919
    GSGetUserGroupStatus: IntEnumValue = 920
    AMGetUserGroupStatus: IntEnumValue = 921
    AMGetUserGroupStatusResponse: IntEnumValue = 922
    GSGetUserGroupStatusResponse: IntEnumValue = 923
    GSGetReputation: IntEnumValue = 936
    GSGetReputationResponse: IntEnumValue = 937
    GSAssociateWithClan: IntEnumValue = 938
    GSAssociateWithClanResponse: IntEnumValue = 939
    GSComputeNewPlayerCompatibility: IntEnumValue = 940
    GSComputeNewPlayerCompatibilityResponse: IntEnumValue = 941

    BaseAdmin: IntEnumValue = 1000
    AdminCmd: IntEnumValue = 1000
    AdminCmdResponse: IntEnumValue = 1004
    AdminLogListenRequest: IntEnumValue = 1005
    AdminLogEvent: IntEnumValue = 1006
    UniverseData: IntEnumValue = 1010
    AdminSpew: IntEnumValue = 1019
    AdminConsoleTitle: IntEnumValue = 1020
    AdminGCSpew: IntEnumValue = 1023
    AdminGCCommand: IntEnumValue = 1024
    AdminGCGetCommandList: IntEnumValue = 1025
    AdminGCGetCommandListResponse: IntEnumValue = 1026
    FBSConnectionData: IntEnumValue = 1027
    AdminMsgSpew: IntEnumValue = 1028

    BaseFBS: IntEnumValue = 1100
    FBSReqVersion: IntEnumValue = 1100
    FBSVersionInfo: IntEnumValue = 1101
    FBSForceRefresh: IntEnumValue = 1102
    FBSForceBounce: IntEnumValue = 1103
    FBSDeployPackage: IntEnumValue = 1104
    FBSDeployResponse: IntEnumValue = 1105
    FBSUpdateBootstrapper: IntEnumValue = 1106
    FBSSetState: IntEnumValue = 1107
    FBSApplyOSUpdates: IntEnumValue = 1108
    FBSRunCMDScript: IntEnumValue = 1109
    FBSRebootBox: IntEnumValue = 1110
    FBSSetBigBrotherMode: IntEnumValue = 1111
    FBSMinidumpServer: IntEnumValue = 1112
    FBSDeployHotFixPackage: IntEnumValue = 1114
    FBSDeployHotFixResponse: IntEnumValue = 1115
    FBSDownloadHotFix: IntEnumValue = 1116
    FBSDownloadHotFixResponse: IntEnumValue = 1117
    FBSUpdateTargetConfigFile: IntEnumValue = 1118
    FBSApplyAccountCred: IntEnumValue = 1119
    FBSApplyAccountCredResponse: IntEnumValue = 1120
    FBSSetShellCount: IntEnumValue = 1121
    FBSTerminateShell: IntEnumValue = 1122
    FBSQueryGMForRequest: IntEnumValue = 1123
    FBSQueryGMResponse: IntEnumValue = 1124
    FBSTerminateZombies: IntEnumValue = 1125
    FBSInfoFromBootstrapper: IntEnumValue = 1126
    FBSRebootBoxResponse: IntEnumValue = 1127
    FBSBootstrapperPackageRequest: IntEnumValue = 1128
    FBSBootstrapperPackageResponse: IntEnumValue = 1129
    FBSBootstrapperGetPackageChunk: IntEnumValue = 1130
    FBSBootstrapperGetPackageChunkResponse: IntEnumValue = 1131
    FBSBootstrapperPackageTransferProgress: IntEnumValue = 1132
    FBSRestartBootstrapper: IntEnumValue = 1133

    BaseFileXfer: IntEnumValue = 1200
    FileXferRequest: IntEnumValue = 1200
    FileXferResponse: IntEnumValue = 1201
    FileXferData: IntEnumValue = 1202
    FileXferEnd: IntEnumValue = 1203
    FileXferDataAck: IntEnumValue = 1204

    BaseChannelAuth: IntEnumValue = 1300
    ChannelAuthChallenge: IntEnumValue = 1300
    ChannelAuthResponse: IntEnumValue = 1301
    ChannelAuthResult: IntEnumValue = 1302
    ChannelEncryptRequest: IntEnumValue = 1303
    ChannelEncryptResponse: IntEnumValue = 1304
    ChannelEncryptResult: IntEnumValue = 1305

    BaseBS: IntEnumValue = 1400
    BSPurchaseStart: IntEnumValue = 1401
    BSSettleComplete: IntEnumValue = 1406
    BSInitPayPalTxn: IntEnumValue = 1408
    BSInitPayPalTxnResponse: IntEnumValue = 1409
    BSGetPayPalUserInfo: IntEnumValue = 1410
    BSGetPayPalUserInfoResponse: IntEnumValue = 1411
    BSPaymentInstrBan: IntEnumValue = 1417
    BSPaymentInstrBanResponse: IntEnumValue = 1418
    BSInitGCBankXferTxn: IntEnumValue = 1421
    BSInitGCBankXferTxnResponse: IntEnumValue = 1422
    BSCommitGCTxn: IntEnumValue = 1425
    BSQueryTransactionStatus: IntEnumValue = 1426
    BSQueryTransactionStatusResponse: IntEnumValue = 1427
    BSQueryPaymentInstUsage: IntEnumValue = 1431
    BSQueryPaymentInstResponse: IntEnumValue = 1432
    BSQueryTxnExtendedInfo: IntEnumValue = 1433
    BSQueryTxnExtendedInfoResponse: IntEnumValue = 1434
    BSUpdateConversionRates: IntEnumValue = 1435
    BSPurchaseRunFraudChecks: IntEnumValue = 1437
    BSPurchaseRunFraudChecksResponse: IntEnumValue = 1438
    BSQueryBankInformation: IntEnumValue = 1440
    BSQueryBankInformationResponse: IntEnumValue = 1441
    BSValidateXsollaSignature: IntEnumValue = 1445
    BSValidateXsollaSignatureResponse: IntEnumValue = 1446
    BSQiwiWalletInvoice: IntEnumValue = 1448
    BSQiwiWalletInvoiceResponse: IntEnumValue = 1449
    BSUpdateInventoryFromProPack: IntEnumValue = 1450
    BSUpdateInventoryFromProPackResponse: IntEnumValue = 1451
    BSSendShippingRequest: IntEnumValue = 1452
    BSSendShippingRequestResponse: IntEnumValue = 1453
    BSGetProPackOrderStatus: IntEnumValue = 1454
    BSGetProPackOrderStatusResponse: IntEnumValue = 1455
    BSCheckJobRunning: IntEnumValue = 1456
    BSCheckJobRunningResponse: IntEnumValue = 1457
    BSResetPackagePurchaseRateLimit: IntEnumValue = 1458
    BSResetPackagePurchaseRateLimitResponse: IntEnumValue = 1459
    BSUpdatePaymentData: IntEnumValue = 1460
    BSUpdatePaymentDataResponse: IntEnumValue = 1461
    BSGetBillingAddress: IntEnumValue = 1462
    BSGetBillingAddressResponse: IntEnumValue = 1463
    BSGetCreditCardInfo: IntEnumValue = 1464
    BSGetCreditCardInfoResponse: IntEnumValue = 1465
    BSRemoveExpiredPaymentData: IntEnumValue = 1468
    BSRemoveExpiredPaymentDataResponse: IntEnumValue = 1469
    BSConvertToCurrentKeys: IntEnumValue = 1470
    BSConvertToCurrentKeysResponse: IntEnumValue = 1471
    BSInitPurchase: IntEnumValue = 1472
    BSInitPurchaseResponse: IntEnumValue = 1473
    BSCompletePurchase: IntEnumValue = 1474
    BSCompletePurchaseResponse: IntEnumValue = 1475
    BSPruneCardUsageStats: IntEnumValue = 1476
    BSPruneCardUsageStatsResponse: IntEnumValue = 1477
    BSStoreBankInformation: IntEnumValue = 1478
    BSStoreBankInformationResponse: IntEnumValue = 1479
    BSVerifyPOSAKey: IntEnumValue = 1480
    BSVerifyPOSAKeyResponse: IntEnumValue = 1481
    BSReverseRedeemPOSAKey: IntEnumValue = 1482
    BSReverseRedeemPOSAKeyResponse: IntEnumValue = 1483
    BSQueryFindCreditCard: IntEnumValue = 1484
    BSQueryFindCreditCardResponse: IntEnumValue = 1485
    BSStatusInquiryPOSAKey: IntEnumValue = 1486
    BSStatusInquiryPOSAKeyResponse: IntEnumValue = 1487
    BSValidateMoPaySignature: IntEnumValue = 1488
    BSValidateMoPaySignatureResponse: IntEnumValue = 1489
    BSMoPayConfirmProductDelivery: IntEnumValue = 1490
    BSMoPayConfirmProductDeliveryResponse: IntEnumValue = 1491
    BSGenerateMoPayMD5: IntEnumValue = 1492
    BSGenerateMoPayMD5Response: IntEnumValue = 1493
    BSBoaCompraConfirmProductDelivery: IntEnumValue = 1494
    BSBoaCompraConfirmProductDeliveryResponse: IntEnumValue = 1495
    BSGenerateBoaCompraMD5: IntEnumValue = 1496
    BSGenerateBoaCompraMD5Response: IntEnumValue = 1497
    BSCommitWPTxn: IntEnumValue = 1498

    BaseATS: IntEnumValue = 1500
    ATSStartStressTest: IntEnumValue = 1501
    ATSStopStressTest: IntEnumValue = 1502
    ATSRunFailServerTest: IntEnumValue = 1503
    ATSUFSPerfTestTask: IntEnumValue = 1504
    ATSUFSPerfTestResponse: IntEnumValue = 1505
    ATSCycleTCM: IntEnumValue = 1506
    ATSInitDRMSStressTest: IntEnumValue = 1507
    ATSCallTest: IntEnumValue = 1508
    ATSCallTestReply: IntEnumValue = 1509
    ATSStartExternalStress: IntEnumValue = 1510
    ATSExternalStressJobStart: IntEnumValue = 1511
    ATSExternalStressJobQueued: IntEnumValue = 1512
    ATSExternalStressJobRunning: IntEnumValue = 1513
    ATSExternalStressJobStopped: IntEnumValue = 1514
    ATSExternalStressJobStopAll: IntEnumValue = 1515
    ATSExternalStressActionResult: IntEnumValue = 1516
    ATSStarted: IntEnumValue = 1517
    ATSCSPerfTestTask: IntEnumValue = 1518
    ATSCSPerfTestResponse: IntEnumValue = 1519

    BaseDP: IntEnumValue = 1600
    DPSetPublishingState: IntEnumValue = 1601
    DPUniquePlayersStat: IntEnumValue = 1603
    DPStreamingUniquePlayersStat: IntEnumValue = 1604
    DPVacInfractionStats: IntEnumValue = 1605
    DPVacBanStats: IntEnumValue = 1606
    DPBlockingStats: IntEnumValue = 1607
    DPNatTraversalStats: IntEnumValue = 1608
    DPVacCertBanStats: IntEnumValue = 1610
    DPVacCafeBanStats: IntEnumValue = 1611
    DPCloudStats: IntEnumValue = 1612
    DPAchievementStats: IntEnumValue = 1613
    DPAccountCreationStats: IntEnumValue = 1614
    DPGetPlayerCount: IntEnumValue = 1615
    DPGetPlayerCountResponse: IntEnumValue = 1616
    DPGameServersPlayersStats: IntEnumValue = 1617
    DPFacebookStatistics: IntEnumValue = 1619
    ClientDPCheckSpecialSurvey: IntEnumValue = 1620
    ClientDPCheckSpecialSurveyResponse: IntEnumValue = 1621
    ClientDPSendSpecialSurveyResponse: IntEnumValue = 1622
    ClientDPSendSpecialSurveyResponseReply: IntEnumValue = 1623
    DPStoreSaleStatistics: IntEnumValue = 1624
    ClientDPUpdateAppJobReport: IntEnumValue = 1625
    DPUpdateContentEvent: IntEnumValue = 1626
    DPPartnerMicroTxns: IntEnumValue = 1628
    DPPartnerMicroTxnsResponse: IntEnumValue = 1629
    ClientDPContentStatsReport: IntEnumValue = 1630
    DPVRUniquePlayersStat: IntEnumValue = 1631

    BaseCM: IntEnumValue = 1700
    CMSetAllowState: IntEnumValue = 1701
    CMSpewAllowState: IntEnumValue = 1702

    BaseGC: IntEnumValue = 2200
    GCCmdRevive: IntEnumValue = 2203
    GCCmdDown: IntEnumValue = 2206
    GCCmdDeploy: IntEnumValue = 2207
    GCCmdDeployResponse: IntEnumValue = 2208
    GCCmdSwitch: IntEnumValue = 2209
    AMRefreshSessions: IntEnumValue = 2210
    GCAchievementAwarded: IntEnumValue = 2212
    GCSystemMessage: IntEnumValue = 2213
    GCCmdStatus: IntEnumValue = 2216
    GCInterAppMessage: IntEnumValue = 2219
    GCGetEmailTemplate: IntEnumValue = 2220
    GCGetEmailTemplateResponse: IntEnumValue = 2221
    GCHRelay: IntEnumValue = 2222
    GCHRelayToClient: IntEnumValue = 2223
    GCHUpdateSession: IntEnumValue = 2224
    GCHRequestUpdateSession: IntEnumValue = 2225
    GCHRequestStatus: IntEnumValue = 2226
    GCHRequestStatusResponse: IntEnumValue = 2227
    GCHAccountVacStatusChange: IntEnumValue = 2228
    GCHSpawnGC: IntEnumValue = 2229
    GCHSpawnGCResponse: IntEnumValue = 2230
    GCHKillGC: IntEnumValue = 2231
    GCHKillGCResponse: IntEnumValue = 2232
    GCHAccountTradeBanStatusChange: IntEnumValue = 2233
    GCHAccountLockStatusChange: IntEnumValue = 2234
    GCHVacVerificationChange: IntEnumValue = 2235
    GCHAccountPhoneNumberChange: IntEnumValue = 2236
    GCHAccountTwoFactorChange: IntEnumValue = 2237

    BaseP2P: IntEnumValue = 2500
    P2PIntroducerMessage: IntEnumValue = 2502

    BaseSM: IntEnumValue = 2900
    SMExpensiveReport: IntEnumValue = 2902
    SMHourlyReport: IntEnumValue = 2903
    SMFishingReport: IntEnumValue = 2904
    SMPartitionRenames: IntEnumValue = 2905
    SMMonitorSpace: IntEnumValue = 2906

    BaseTest: IntEnumValue = 3000
    FailServer: IntEnumValue = 3000
    JobHeartbeatTest: IntEnumValue = 3001
    JobHeartbeatTestResponse: IntEnumValue = 3002

    BaseFTSRange: IntEnumValue = 3100

    BaseCCSRange: IntEnumValue = 3150
    CCSDeleteAllCommentsByAuthor: IntEnumValue = 3161
    CCSDeleteAllCommentsByAuthorResponse: IntEnumValue = 3162

    BaseLBSRange: IntEnumValue = 3200
    LBSSetScore: IntEnumValue = 3201
    LBSSetScoreResponse: IntEnumValue = 3202
    LBSFindOrCreateLB: IntEnumValue = 3203
    LBSFindOrCreateLBResponse: IntEnumValue = 3204
    LBSGetLBEntries: IntEnumValue = 3205
    LBSGetLBEntriesResponse: IntEnumValue = 3206
    LBSGetLBList: IntEnumValue = 3207
    LBSGetLBListResponse: IntEnumValue = 3208
    LBSSetLBDetails: IntEnumValue = 3209
    LBSDeleteLB: IntEnumValue = 3210
    LBSDeleteLBEntry: IntEnumValue = 3211
    LBSResetLB: IntEnumValue = 3212
    LBSResetLBResponse: IntEnumValue = 3213
    LBSDeleteLBResponse: IntEnumValue = 3214

    BaseOGS: IntEnumValue = 3400
    OGSBeginSession: IntEnumValue = 3401
    OGSBeginSessionResponse: IntEnumValue = 3402
    OGSEndSession: IntEnumValue = 3403
    OGSEndSessionResponse: IntEnumValue = 3404
    OGSWriteAppSessionRow: IntEnumValue = 3406

    BaseBRP: IntEnumValue = 3600
    BRPStartShippingJobs: IntEnumValue = 3601
    BRPProcessUSBankReports: IntEnumValue = 3602
    BRPProcessGCReports: IntEnumValue = 3603
    BRPProcessPPReports: IntEnumValue = 3604
    BRPCommitGC: IntEnumValue = 3607
    BRPCommitGCResponse: IntEnumValue = 3608
    BRPFindHungTransactions: IntEnumValue = 3609
    BRPCheckFinanceCloseOutDate: IntEnumValue = 3610
    BRPProcessLicenses: IntEnumValue = 3611
    BRPProcessLicensesResponse: IntEnumValue = 3612
    BRPRemoveExpiredPaymentData: IntEnumValue = 3613
    BRPRemoveExpiredPaymentDataResponse: IntEnumValue = 3614
    BRPConvertToCurrentKeys: IntEnumValue = 3615
    BRPConvertToCurrentKeysResponse: IntEnumValue = 3616
    BRPPruneCardUsageStats: IntEnumValue = 3617
    BRPPruneCardUsageStatsResponse: IntEnumValue = 3618
    BRPCheckActivationCodes: IntEnumValue = 3619
    BRPCheckActivationCodesResponse: IntEnumValue = 3620
    BRPCommitWP: IntEnumValue = 3621
    BRPCommitWPResponse: IntEnumValue = 3622
    BRPProcessWPReports: IntEnumValue = 3623
    BRPProcessPaymentRules: IntEnumValue = 3624
    BRPProcessPartnerPayments: IntEnumValue = 3625
    BRPCheckSettlementReports: IntEnumValue = 3626
    BRPPostTaxToAvalara: IntEnumValue = 3628
    BRPPostTransactionTax: IntEnumValue = 3629
    BRPPostTransactionTaxResponse: IntEnumValue = 3630
    BRPProcessIMReports: IntEnumValue = 3631

    BaseAMRange2: IntEnumValue = 4000
    AMCreateChat: IntEnumValue = 4001
    AMCreateChatResponse: IntEnumValue = 4002
    AMSetProfileURL: IntEnumValue = 4005
    AMGetAccountEmailAddress: IntEnumValue = 4006
    AMGetAccountEmailAddressResponse: IntEnumValue = 4007
    AMRequestClanData: IntEnumValue = 4008
    AMRouteToClients: IntEnumValue = 4009
    AMLeaveClan: IntEnumValue = 4010
    AMClanPermissions: IntEnumValue = 4011
    AMClanPermissionsResponse: IntEnumValue = 4012
    AMCreateClanEvent: IntEnumValue = 4013
    AMCreateClanEventResponse: IntEnumValue = 4014
    AMUpdateClanEvent: IntEnumValue = 4015
    AMUpdateClanEventResponse: IntEnumValue = 4016
    AMGetClanEvents: IntEnumValue = 4017
    AMGetClanEventsResponse: IntEnumValue = 4018
    AMDeleteClanEvent: IntEnumValue = 4019
    AMDeleteClanEventResponse: IntEnumValue = 4020
    AMSetClanPermissionSettings: IntEnumValue = 4021
    AMSetClanPermissionSettingsResponse: IntEnumValue = 4022
    AMGetClanPermissionSettings: IntEnumValue = 4023
    AMGetClanPermissionSettingsResponse: IntEnumValue = 4024
    AMPublishChatRoomInfo: IntEnumValue = 4025
    ClientChatRoomInfo: IntEnumValue = 4026
    AMGetClanHistory: IntEnumValue = 4039
    AMGetClanHistoryResponse: IntEnumValue = 4040
    AMGetClanPermissionBits: IntEnumValue = 4041
    AMGetClanPermissionBitsResponse: IntEnumValue = 4042
    AMSetClanPermissionBits: IntEnumValue = 4043
    AMSetClanPermissionBitsResponse: IntEnumValue = 4044
    AMSessionInfoRequest: IntEnumValue = 4045
    AMSessionInfoResponse: IntEnumValue = 4046
    AMValidateWGToken: IntEnumValue = 4047
    AMGetSingleClanEvent: IntEnumValue = 4048
    AMGetSingleClanEventResponse: IntEnumValue = 4049
    AMGetClanRank: IntEnumValue = 4050
    AMGetClanRankResponse: IntEnumValue = 4051
    AMSetClanRank: IntEnumValue = 4052
    AMSetClanRankResponse: IntEnumValue = 4053
    AMGetClanPOTW: IntEnumValue = 4054
    AMGetClanPOTWResponse: IntEnumValue = 4055
    AMSetClanPOTW: IntEnumValue = 4056
    AMSetClanPOTWResponse: IntEnumValue = 4057
    AMDumpUser: IntEnumValue = 4059
    AMKickUserFromClan: IntEnumValue = 4060
    AMAddFounderToClan: IntEnumValue = 4061
    AMValidateWGTokenResponse: IntEnumValue = 4062
    AMSetCommunityState: IntEnumValue = 4063
    AMSetAccountDetails: IntEnumValue = 4064
    AMGetChatBanList: IntEnumValue = 4065
    AMGetChatBanListResponse: IntEnumValue = 4066
    AMUnBanFromChat: IntEnumValue = 4067
    AMSetClanDetails: IntEnumValue = 4068
    AMGetAccountLinks: IntEnumValue = 4069
    AMGetAccountLinksResponse: IntEnumValue = 4070
    AMSetAccountLinks: IntEnumValue = 4071
    AMSetAccountLinksResponse: IntEnumValue = 4072
    AMGetUserGameStats: IntEnumValue = 4073
    AMGetUserGameStatsResponse: IntEnumValue = 4074
    AMCheckClanMembership: IntEnumValue = 4075
    AMGetClanMembers: IntEnumValue = 4076
    AMGetClanMembersResponse: IntEnumValue = 4077
    AMJoinPublicClan: IntEnumValue = 4078
    AMNotifyChatOfClanChange: IntEnumValue = 4079
    AMResubmitPurchase: IntEnumValue = 4080
    AMAddFriend: IntEnumValue = 4081
    AMAddFriendResponse: IntEnumValue = 4082
    AMRemoveFriend: IntEnumValue = 4083
    AMDumpClan: IntEnumValue = 4084
    AMChangeClanOwner: IntEnumValue = 4085
    AMCancelEasyCollect: IntEnumValue = 4086
    AMCancelEasyCollectResponse: IntEnumValue = 4087
    AMClansInCommon: IntEnumValue = 4090
    AMClansInCommonResponse: IntEnumValue = 4091
    AMIsValidAccountID: IntEnumValue = 4092
    AMConvertClan: IntEnumValue = 4093
    AMWipeFriendsList: IntEnumValue = 4095
    AMSetIgnored: IntEnumValue = 4096
    AMClansInCommonCountResponse: IntEnumValue = 4097
    AMFriendsList: IntEnumValue = 4098
    AMFriendsListResponse: IntEnumValue = 4099
    AMFriendsInCommon: IntEnumValue = 4100
    AMFriendsInCommonResponse: IntEnumValue = 4101
    AMFriendsInCommonCountResponse: IntEnumValue = 4102
    AMClansInCommonCount: IntEnumValue = 4103
    AMChallengeVerdict: IntEnumValue = 4104
    AMChallengeNotification: IntEnumValue = 4105
    AMFindGSByIP: IntEnumValue = 4106
    AMFoundGSByIP: IntEnumValue = 4107
    AMGiftRevoked: IntEnumValue = 4108
    AMCreateAccountRecord: IntEnumValue = 4109
    AMUserClanList: IntEnumValue = 4110
    AMUserClanListResponse: IntEnumValue = 4111
    AMGetAccountDetails2: IntEnumValue = 4112
    AMGetAccountDetailsResponse2: IntEnumValue = 4113
    AMSetCommunityProfileSettings: IntEnumValue = 4114
    AMSetCommunityProfileSettingsResponse: IntEnumValue = 4115
    AMGetCommunityPrivacyState: IntEnumValue = 4116
    AMGetCommunityPrivacyStateResponse: IntEnumValue = 4117
    AMCheckClanInviteRateLimiting: IntEnumValue = 4118
    AMGetUserAchievementStatus: IntEnumValue = 4119
    AMGetIgnored: IntEnumValue = 4120
    AMGetIgnoredResponse: IntEnumValue = 4121
    AMSetIgnoredResponse: IntEnumValue = 4122
    AMSetFriendRelationshipNone: IntEnumValue = 4123
    AMGetFriendRelationship: IntEnumValue = 4124
    AMGetFriendRelationshipResponse: IntEnumValue = 4125
    AMServiceModulesCache: IntEnumValue = 4126
    AMServiceModulesCall: IntEnumValue = 4127
    AMServiceModulesCallResponse: IntEnumValue = 4128
    AMGetCaptchaDataForIP: IntEnumValue = 4129
    AMGetCaptchaDataForIPResponse: IntEnumValue = 4130
    AMValidateCaptchaDataForIP: IntEnumValue = 4131
    AMValidateCaptchaDataForIPResponse: IntEnumValue = 4132
    AMTrackFailedAuthByIP: IntEnumValue = 4133
    AMGetCaptchaDataByGID: IntEnumValue = 4134
    AMGetCaptchaDataByGIDResponse: IntEnumValue = 4135
    CommunityAddFriendNews: IntEnumValue = 4140
    AMFindClanUser: IntEnumValue = 4143
    AMFindClanUserResponse: IntEnumValue = 4144
    AMBanFromChat: IntEnumValue = 4145
    AMGetUserNewsSubscriptions: IntEnumValue = 4147
    AMGetUserNewsSubscriptionsResponse: IntEnumValue = 4148
    AMSetUserNewsSubscriptions: IntEnumValue = 4149
    AMSendQueuedEmails: IntEnumValue = 4152
    AMSetLicenseFlags: IntEnumValue = 4153
    CommunityDeleteUserNews: IntEnumValue = 4155
    AMAllowUserFilesRequest: IntEnumValue = 4156
    AMAllowUserFilesResponse: IntEnumValue = 4157
    AMGetAccountStatus: IntEnumValue = 4158
    AMGetAccountStatusResponse: IntEnumValue = 4159
    AMEditBanReason: IntEnumValue = 4160
    AMCheckClanMembershipResponse: IntEnumValue = 4161
    AMProbeClanMembershipList: IntEnumValue = 4162
    AMProbeClanMembershipListResponse: IntEnumValue = 4163
    AMGetFriendsLobbies: IntEnumValue = 4165
    AMGetFriendsLobbiesResponse: IntEnumValue = 4166
    AMGetUserFriendNewsResponse: IntEnumValue = 4172
    CommunityGetUserFriendNews: IntEnumValue = 4173
    AMGetUserClansNewsResponse: IntEnumValue = 4174
    AMGetUserClansNews: IntEnumValue = 4175
    AMGetPreviousCBAccount: IntEnumValue = 4184
    AMGetPreviousCBAccountResponse: IntEnumValue = 4185
    AMGetUserLicenseHistory: IntEnumValue = 4190
    AMGetUserLicenseHistoryResponse: IntEnumValue = 4191
    AMSupportChangePassword: IntEnumValue = 4194
    AMSupportChangeEmail: IntEnumValue = 4195
    AMResetUserVerificationGSByIP: IntEnumValue = 4197
    AMUpdateGSPlayStats: IntEnumValue = 4198
    AMSupportEnableOrDisable: IntEnumValue = 4199
    AMGetPurchaseStatus: IntEnumValue = 4206
    AMSupportIsAccountEnabled: IntEnumValue = 4209
    AMSupportIsAccountEnabledResponse: IntEnumValue = 4210
    AMGetUserStats: IntEnumValue = 4211
    AMSupportKickSession: IntEnumValue = 4212
    AMGSSearch: IntEnumValue = 4213
    MarketingMessageUpdate: IntEnumValue = 4216
    AMRouteFriendMsg: IntEnumValue = 4219
    AMTicketAuthRequestOrResponse: IntEnumValue = 4220
    AMVerifyDepotManagementRights: IntEnumValue = 4222
    AMVerifyDepotManagementRightsResponse: IntEnumValue = 4223
    AMAddFreeLicense: IntEnumValue = 4224
    AMValidateEmailLink: IntEnumValue = 4231
    AMValidateEmailLinkResponse: IntEnumValue = 4232
    AMStoreUserStats: IntEnumValue = 4236
    AMDeleteStoredCard: IntEnumValue = 4241
    AMRevokeLegacyGameKeys: IntEnumValue = 4242
    AMGetWalletDetails: IntEnumValue = 4244
    AMGetWalletDetailsResponse: IntEnumValue = 4245
    AMDeleteStoredPaymentInfo: IntEnumValue = 4246
    AMGetStoredPaymentSummary: IntEnumValue = 4247
    AMGetStoredPaymentSummaryResponse: IntEnumValue = 4248
    AMGetWalletConversionRate: IntEnumValue = 4249
    AMGetWalletConversionRateResponse: IntEnumValue = 4250
    AMConvertWallet: IntEnumValue = 4251
    AMConvertWalletResponse: IntEnumValue = 4252
    AMSetPreApproval: IntEnumValue = 4255
    AMSetPreApprovalResponse: IntEnumValue = 4256
    AMCreateRefund: IntEnumValue = 4258
    AMCreateRefundResponse: IntEnumValue = 4259
    AMCreateChargeback: IntEnumValue = 4260
    AMCreateChargebackResponse: IntEnumValue = 4261
    AMCreateDispute: IntEnumValue = 4262
    AMCreateDisputeResponse: IntEnumValue = 4263
    AMClearDispute: IntEnumValue = 4264
    AMClearDisputeResponse: IntEnumValue = 4265
    AMPlayerNicknameList: IntEnumValue = 4266
    AMPlayerNicknameListResponse: IntEnumValue = 4267
    AMSetDRMTestConfig: IntEnumValue = 4268
    AMGetUserCurrentGameInfo: IntEnumValue = 4269
    AMGetUserCurrentGameInfoResponse: IntEnumValue = 4270
    AMGetGSPlayerList: IntEnumValue = 4271
    AMGetGSPlayerListResponse: IntEnumValue = 4272
    AMGetGameMembers: IntEnumValue = 4276
    AMGetGameMembersResponse: IntEnumValue = 4277
    AMGetSteamIDForMicroTxn: IntEnumValue = 4278
    AMGetSteamIDForMicroTxnResponse: IntEnumValue = 4279
    AMAddPublisherUser: IntEnumValue = 4280
    AMRemovePublisherUser: IntEnumValue = 4281
    AMGetUserLicenseList: IntEnumValue = 4282
    AMGetUserLicenseListResponse: IntEnumValue = 4283
    AMReloadGameGroupPolicy: IntEnumValue = 4284
    AMAddFreeLicenseResponse: IntEnumValue = 4285
    AMVACStatusUpdate: IntEnumValue = 4286
    AMGetAccountDetails: IntEnumValue = 4287
    AMGetAccountDetailsResponse: IntEnumValue = 4288
    AMGetPlayerLinkDetails: IntEnumValue = 4289
    AMGetPlayerLinkDetailsResponse: IntEnumValue = 4290
    AMGetAccountFlagsForWGSpoofing: IntEnumValue = 4294
    AMGetAccountFlagsForWGSpoofingResponse: IntEnumValue = 4295
    AMGetClanOfficers: IntEnumValue = 4298
    AMGetClanOfficersResponse: IntEnumValue = 4299
    AMNameChange: IntEnumValue = 4300
    AMGetNameHistory: IntEnumValue = 4301
    AMGetNameHistoryResponse: IntEnumValue = 4302
    AMUpdateProviderStatus: IntEnumValue = 4305
    AMSupportRemoveAccountSecurity: IntEnumValue = 4307
    AMIsAccountInCaptchaGracePeriod: IntEnumValue = 4308
    AMIsAccountInCaptchaGracePeriodResponse: IntEnumValue = 4309
    AMAccountPS3Unlink: IntEnumValue = 4310
    AMAccountPS3UnlinkResponse: IntEnumValue = 4311
    AMStoreUserStatsResponse: IntEnumValue = 4312
    AMGetAccountPSNInfo: IntEnumValue = 4313
    AMGetAccountPSNInfoResponse: IntEnumValue = 4314
    AMAuthenticatedPlayerList: IntEnumValue = 4315
    AMGetUserGifts: IntEnumValue = 4316
    AMGetUserGiftsResponse: IntEnumValue = 4317
    AMTransferLockedGifts: IntEnumValue = 4320
    AMTransferLockedGiftsResponse: IntEnumValue = 4321
    AMPlayerHostedOnGameServer: IntEnumValue = 4322
    AMGetAccountBanInfo: IntEnumValue = 4323
    AMGetAccountBanInfoResponse: IntEnumValue = 4324
    AMRecordBanEnforcement: IntEnumValue = 4325
    AMRollbackGiftTransfer: IntEnumValue = 4326
    AMRollbackGiftTransferResponse: IntEnumValue = 4327
    AMHandlePendingTransaction: IntEnumValue = 4328
    AMRequestClanDetails: IntEnumValue = 4329
    AMDeleteStoredPaypalAgreement: IntEnumValue = 4330
    AMGameServerUpdate: IntEnumValue = 4331
    AMGameServerRemove: IntEnumValue = 4332
    AMGetPaypalAgreements: IntEnumValue = 4333
    AMGetPaypalAgreementsResponse: IntEnumValue = 4334
    AMGameServerPlayerCompatibilityCheck: IntEnumValue = 4335
    AMGameServerPlayerCompatibilityCheckResponse: IntEnumValue = 4336
    AMRenewLicense: IntEnumValue = 4337
    AMGetAccountCommunityBanInfo: IntEnumValue = 4338
    AMGetAccountCommunityBanInfoResponse: IntEnumValue = 4339
    AMGameServerAccountChangePassword: IntEnumValue = 4340
    AMGameServerAccountDeleteAccount: IntEnumValue = 4341
    AMRenewAgreement: IntEnumValue = 4342
    AMXsollaPayment: IntEnumValue = 4344
    AMXsollaPaymentResponse: IntEnumValue = 4345
    AMAcctAllowedToPurchase: IntEnumValue = 4346
    AMAcctAllowedToPurchaseResponse: IntEnumValue = 4347
    AMSwapKioskDeposit: IntEnumValue = 4348
    AMSwapKioskDepositResponse: IntEnumValue = 4349
    AMSetUserGiftUnowned: IntEnumValue = 4350
    AMSetUserGiftUnownedResponse: IntEnumValue = 4351
    AMClaimUnownedUserGift: IntEnumValue = 4352
    AMClaimUnownedUserGiftResponse: IntEnumValue = 4353
    AMSetClanName: IntEnumValue = 4354
    AMSetClanNameResponse: IntEnumValue = 4355
    AMGrantCoupon: IntEnumValue = 4356
    AMGrantCouponResponse: IntEnumValue = 4357
    AMIsPackageRestrictedInUserCountry: IntEnumValue = 4358
    AMIsPackageRestrictedInUserCountryResponse: IntEnumValue = 4359
    AMHandlePendingTransactionResponse: IntEnumValue = 4360
    AMGrantGuestPasses2: IntEnumValue = 4361
    AMGrantGuestPasses2Response: IntEnumValue = 4362
    AMSessionQuery: IntEnumValue = 4363
    AMSessionQueryResponse: IntEnumValue = 4364
    AMGetPlayerBanDetails: IntEnumValue = 4365
    AMGetPlayerBanDetailsResponse: IntEnumValue = 4366
    AMFinalizePurchase: IntEnumValue = 4367
    AMFinalizePurchaseResponse: IntEnumValue = 4368
    AMPersonaChangeResponse: IntEnumValue = 4372
    AMGetClanDetailsForForumCreation: IntEnumValue = 4373
    AMGetClanDetailsForForumCreationResponse: IntEnumValue = 4374
    AMGetPendingNotificationCount: IntEnumValue = 4375
    AMGetPendingNotificationCountResponse: IntEnumValue = 4376
    AMPasswordHashUpgrade: IntEnumValue = 4377
    AMMoPayPayment: IntEnumValue = 4378
    AMMoPayPaymentResponse: IntEnumValue = 4379
    AMBoaCompraPayment: IntEnumValue = 4380
    AMBoaCompraPaymentResponse: IntEnumValue = 4381
    AMExpireCaptchaByGID: IntEnumValue = 4382
    AMCompleteExternalPurchase: IntEnumValue = 4383
    AMCompleteExternalPurchaseResponse: IntEnumValue = 4384
    AMResolveNegativeWalletCredits: IntEnumValue = 4385
    AMResolveNegativeWalletCreditsResponse: IntEnumValue = 4386
    AMPayelpPayment: IntEnumValue = 4387
    AMPayelpPaymentResponse: IntEnumValue = 4388
    AMPlayerGetClanBasicDetails: IntEnumValue = 4389
    AMPlayerGetClanBasicDetailsResponse: IntEnumValue = 4390
    AMMOLPayment: IntEnumValue = 4391
    AMMOLPaymentResponse: IntEnumValue = 4392
    GetUserIPCountry: IntEnumValue = 4393
    GetUserIPCountryResponse: IntEnumValue = 4394
    NotificationOfSuspiciousActivity: IntEnumValue = 4395
    AMDegicaPayment: IntEnumValue = 4396
    AMDegicaPaymentResponse: IntEnumValue = 4397
    AMEClubPayment: IntEnumValue = 4398
    AMEClubPaymentResponse: IntEnumValue = 4399
    AMPayPalPaymentsHubPayment: IntEnumValue = 4400
    AMPayPalPaymentsHubPaymentResponse: IntEnumValue = 4401
    AMTwoFactorRecoverAuthenticatorRequest: IntEnumValue = 4402
    AMTwoFactorRecoverAuthenticatorResponse: IntEnumValue = 4403
    AMSmart2PayPayment: IntEnumValue = 4404
    AMSmart2PayPaymentResponse: IntEnumValue = 4405
    AMValidatePasswordResetCodeAndSendSmsRequest: IntEnumValue = 4406
    AMValidatePasswordResetCodeAndSendSmsResponse: IntEnumValue = 4407
    AMGetAccountResetDetailsRequest: IntEnumValue = 4408
    AMGetAccountResetDetailsResponse: IntEnumValue = 4409
    AMBitPayPayment: IntEnumValue = 4410
    AMBitPayPaymentResponse: IntEnumValue = 4411
    AMSendAccountInfoUpdate: IntEnumValue = 4412

    BasePSRange: IntEnumValue = 5000
    PSCreateShoppingCart: IntEnumValue = 5001
    PSCreateShoppingCartResponse: IntEnumValue = 5002
    PSIsValidShoppingCart: IntEnumValue = 5003
    PSIsValidShoppingCartResponse: IntEnumValue = 5004
    PSAddPackageToShoppingCart: IntEnumValue = 5005
    PSAddPackageToShoppingCartResponse: IntEnumValue = 5006
    PSRemoveLineItemFromShoppingCart: IntEnumValue = 5007
    PSRemoveLineItemFromShoppingCartResponse: IntEnumValue = 5008
    PSGetShoppingCartContents: IntEnumValue = 5009
    PSGetShoppingCartContentsResponse: IntEnumValue = 5010
    PSAddWalletCreditToShoppingCart: IntEnumValue = 5011
    PSAddWalletCreditToShoppingCartResponse: IntEnumValue = 5012

    BaseUFSRange: IntEnumValue = 5200
    ClientUFSUploadFileRequest: IntEnumValue = 5202
    ClientUFSUploadFileResponse: IntEnumValue = 5203
    ClientUFSUploadFileChunk: IntEnumValue = 5204
    ClientUFSUploadFileFinished: IntEnumValue = 5205
    ClientUFSGetFileListForApp: IntEnumValue = 5206
    ClientUFSGetFileListForAppResponse: IntEnumValue = 5207
    ClientUFSLoginRequest: IntEnumValue = 5213
    ClientUFSLoginResponse: IntEnumValue = 5214
    UFSReloadPartitionInfo: IntEnumValue = 5215
    ClientUFSTransferHeartbeat: IntEnumValue = 5216
    UFSSynchronizeFile: IntEnumValue = 5217
    UFSSynchronizeFileResponse: IntEnumValue = 5218
    ClientUFSDeleteFileRequest: IntEnumValue = 5219
    ClientUFSDeleteFileResponse: IntEnumValue = 5220
    UFSDownloadRequest: IntEnumValue = 5221
    UFSDownloadResponse: IntEnumValue = 5222
    UFSDownloadChunk: IntEnumValue = 5223
    ClientUFSGetUGCDetails: IntEnumValue = 5226
    ClientUFSGetUGCDetailsResponse: IntEnumValue = 5227
    UFSUpdateFileFlags: IntEnumValue = 5228
    UFSUpdateFileFlagsResponse: IntEnumValue = 5229
    ClientUFSGetSingleFileInfo: IntEnumValue = 5230
    ClientUFSGetSingleFileInfoResponse: IntEnumValue = 5231
    ClientUFSShareFile: IntEnumValue = 5232
    ClientUFSShareFileResponse: IntEnumValue = 5233
    UFSReloadAccount: IntEnumValue = 5234
    UFSReloadAccountResponse: IntEnumValue = 5235
    UFSUpdateRecordBatched: IntEnumValue = 5236
    UFSUpdateRecordBatchedResponse: IntEnumValue = 5237
    UFSMigrateFile: IntEnumValue = 5238
    UFSMigrateFileResponse: IntEnumValue = 5239
    UFSGetUGCURLs: IntEnumValue = 5240
    UFSGetUGCURLsResponse: IntEnumValue = 5241
    UFSHttpUploadFileFinishRequest: IntEnumValue = 5242
    UFSHttpUploadFileFinishResponse: IntEnumValue = 5243
    UFSDownloadStartRequest: IntEnumValue = 5244
    UFSDownloadStartResponse: IntEnumValue = 5245
    UFSDownloadChunkRequest: IntEnumValue = 5246
    UFSDownloadChunkResponse: IntEnumValue = 5247
    UFSDownloadFinishRequest: IntEnumValue = 5248
    UFSDownloadFinishResponse: IntEnumValue = 5249
    UFSFlushURLCache: IntEnumValue = 5250
    UFSUploadCommit: IntEnumValue = 5251
    UFSUploadCommitResponse: IntEnumValue = 5252
    UFSMigrateFileAppID: IntEnumValue = 5253
    UFSMigrateFileAppIDResponse: IntEnumValue = 5254

    BaseClient2: IntEnumValue = 5400
    ClientRequestForgottenPasswordEmail: IntEnumValue = 5401
    ClientRequestForgottenPasswordEmailResponse: IntEnumValue = 5402
    ClientCreateAccountResponse: IntEnumValue = 5403
    ClientResetForgottenPassword: IntEnumValue = 5404
    ClientResetForgottenPasswordResponse: IntEnumValue = 5405
    ClientCreateAccount2: IntEnumValue = 5406
    ClientInformOfResetForgottenPassword: IntEnumValue = 5407
    ClientInformOfResetForgottenPasswordResponse: IntEnumValue = 5408
    ClientGamesPlayedWithDataBlob: IntEnumValue = 5410
    ClientUpdateUserGameInfo: IntEnumValue = 5411
    ClientFileToDownload: IntEnumValue = 5412
    ClientFileToDownloadResponse: IntEnumValue = 5413
    ClientLBSSetScore: IntEnumValue = 5414
    ClientLBSSetScoreResponse: IntEnumValue = 5415
    ClientLBSFindOrCreateLB: IntEnumValue = 5416
    ClientLBSFindOrCreateLBResponse: IntEnumValue = 5417
    ClientLBSGetLBEntries: IntEnumValue = 5418
    ClientLBSGetLBEntriesResponse: IntEnumValue = 5419
    ClientChatDeclined: IntEnumValue = 5426
    ClientFriendMsgIncoming: IntEnumValue = 5427
    ClientTicketAuthComplete: IntEnumValue = 5429
    ClientIsLimitedAccount: IntEnumValue = 5430
    ClientRequestAuthList: IntEnumValue = 5431
    ClientAuthList: IntEnumValue = 5432
    ClientStat: IntEnumValue = 5433
    ClientP2PConnectionInfo: IntEnumValue = 5434
    ClientP2PConnectionFailInfo: IntEnumValue = 5435
    ClientGetDepotDecryptionKey: IntEnumValue = 5438
    ClientGetDepotDecryptionKeyResponse: IntEnumValue = 5439
    GSPerformHardwareSurvey: IntEnumValue = 5440
    ClientEnableTestLicense: IntEnumValue = 5443
    ClientEnableTestLicenseResponse: IntEnumValue = 5444
    ClientDisableTestLicense: IntEnumValue = 5445
    ClientDisableTestLicenseResponse: IntEnumValue = 5446
    ClientRequestValidationMail: IntEnumValue = 5448
    ClientRequestValidationMailResponse: IntEnumValue = 5449
    ClientCheckAppBetaPassword: IntEnumValue = 5450
    ClientCheckAppBetaPasswordResponse: IntEnumValue = 5451
    ClientToGC: IntEnumValue = 5452
    ClientFromGC: IntEnumValue = 5453
    ClientRequestChangeMail: IntEnumValue = 5454
    ClientRequestChangeMailResponse: IntEnumValue = 5455
    ClientEmailAddrInfo: IntEnumValue = 5456
    ClientPasswordChange3: IntEnumValue = 5457
    ClientEmailChange3: IntEnumValue = 5458
    ClientPersonalQAChange3: IntEnumValue = 5459
    ClientResetForgottenPassword3: IntEnumValue = 5460
    ClientRequestForgottenPasswordEmail3: IntEnumValue = 5461
    ClientNewLoginKey: IntEnumValue = 5463
    ClientNewLoginKeyAccepted: IntEnumValue = 5464
    ClientStoreUserStats2: IntEnumValue = 5466
    ClientStatsUpdated: IntEnumValue = 5467
    ClientActivateOEMLicense: IntEnumValue = 5468
    ClientRegisterOEMMachine: IntEnumValue = 5469
    ClientRegisterOEMMachineResponse: IntEnumValue = 5470
    ClientRequestedClientStats: IntEnumValue = 5480
    ClientStat2Int32: IntEnumValue = 5481
    ClientStat2: IntEnumValue = 5482
    ClientVerifyPassword: IntEnumValue = 5483
    ClientVerifyPasswordResponse: IntEnumValue = 5484
    ClientDRMDownloadRequest: IntEnumValue = 5485
    ClientDRMDownloadResponse: IntEnumValue = 5486
    ClientDRMFinalResult: IntEnumValue = 5487
    ClientGetFriendsWhoPlayGame: IntEnumValue = 5488
    ClientGetFriendsWhoPlayGameResponse: IntEnumValue = 5489
    ClientOGSBeginSession: IntEnumValue = 5490
    ClientOGSBeginSessionResponse: IntEnumValue = 5491
    ClientOGSEndSession: IntEnumValue = 5492
    ClientOGSEndSessionResponse: IntEnumValue = 5493
    ClientOGSWriteRow: IntEnumValue = 5494
    ClientDRMTest: IntEnumValue = 5495
    ClientDRMTestResult: IntEnumValue = 5496
    ClientServerUnavailable: IntEnumValue = 5500
    ClientServersAvailable: IntEnumValue = 5501
    ClientRegisterAuthTicketWithCM: IntEnumValue = 5502
    ClientGCMsgFailed: IntEnumValue = 5503
    ClientMicroTxnAuthRequest: IntEnumValue = 5504
    ClientMicroTxnAuthorize: IntEnumValue = 5505
    ClientMicroTxnAuthorizeResponse: IntEnumValue = 5506
    ClientAppMinutesPlayedData: IntEnumValue = 5507
    ClientGetMicroTxnInfo: IntEnumValue = 5508
    ClientGetMicroTxnInfoResponse: IntEnumValue = 5509
    ClientMarketingMessageUpdate2: IntEnumValue = 5510
    ClientDeregisterWithServer: IntEnumValue = 5511
    ClientSubscribeToPersonaFeed: IntEnumValue = 5512
    ClientLogon: IntEnumValue = 5514
    ClientGetClientDetails: IntEnumValue = 5515
    ClientGetClientDetailsResponse: IntEnumValue = 5516
    ClientReportOverlayDetourFailure: IntEnumValue = 5517
    ClientGetClientAppList: IntEnumValue = 5518
    ClientGetClientAppListResponse: IntEnumValue = 5519
    ClientInstallClientApp: IntEnumValue = 5520
    ClientInstallClientAppResponse: IntEnumValue = 5521
    ClientUninstallClientApp: IntEnumValue = 5522
    ClientUninstallClientAppResponse: IntEnumValue = 5523
    ClientSetClientAppUpdateState: IntEnumValue = 5524
    ClientSetClientAppUpdateStateResponse: IntEnumValue = 5525
    ClientRequestEncryptedAppTicket: IntEnumValue = 5526
    ClientRequestEncryptedAppTicketResponse: IntEnumValue = 5527
    ClientWalletInfoUpdate: IntEnumValue = 5528
    ClientLBSSetUGC: IntEnumValue = 5529
    ClientLBSSetUGCResponse: IntEnumValue = 5530
    ClientAMGetClanOfficers: IntEnumValue = 5531
    ClientAMGetClanOfficersResponse: IntEnumValue = 5532
    ClientFriendProfileInfo: IntEnumValue = 5535
    ClientFriendProfileInfoResponse: IntEnumValue = 5536
    ClientUpdateMachineAuth: IntEnumValue = 5537
    ClientUpdateMachineAuthResponse: IntEnumValue = 5538
    ClientReadMachineAuth: IntEnumValue = 5539
    ClientReadMachineAuthResponse: IntEnumValue = 5540
    ClientRequestMachineAuth: IntEnumValue = 5541
    ClientRequestMachineAuthResponse: IntEnumValue = 5542
    ClientScreenshotsChanged: IntEnumValue = 5543
    ClientEmailChange4: IntEnumValue = 5544
    ClientEmailChangeResponse4: IntEnumValue = 5545
    ClientGetCDNAuthToken: IntEnumValue = 5546
    ClientGetCDNAuthTokenResponse: IntEnumValue = 5547
    ClientDownloadRateStatistics: IntEnumValue = 5548
    ClientRequestAccountData: IntEnumValue = 5549
    ClientRequestAccountDataResponse: IntEnumValue = 5550
    ClientResetForgottenPassword4: IntEnumValue = 5551
    ClientHideFriend: IntEnumValue = 5552
    ClientFriendsGroupsList: IntEnumValue = 5553
    ClientGetClanActivityCounts: IntEnumValue = 5554
    ClientGetClanActivityCountsResponse: IntEnumValue = 5555
    ClientOGSReportString: IntEnumValue = 5556
    ClientOGSReportBug: IntEnumValue = 5557
    ClientSentLogs: IntEnumValue = 5558
    ClientLogonGameServer: IntEnumValue = 5559
    AMClientCreateFriendsGroup: IntEnumValue = 5560
    AMClientCreateFriendsGroupResponse: IntEnumValue = 5561
    AMClientDeleteFriendsGroup: IntEnumValue = 5562
    AMClientDeleteFriendsGroupResponse: IntEnumValue = 5563
    AMClientRenameFriendsGroup: IntEnumValue = 5564
    AMClientRenameFriendsGroupResponse: IntEnumValue = 5565
    AMClientAddFriendToGroup: IntEnumValue = 5566
    AMClientAddFriendToGroupResponse: IntEnumValue = 5567
    AMClientRemoveFriendFromGroup: IntEnumValue = 5568
    AMClientRemoveFriendFromGroupResponse: IntEnumValue = 5569
    ClientAMGetPersonaNameHistory: IntEnumValue = 5570
    ClientAMGetPersonaNameHistoryResponse: IntEnumValue = 5571
    ClientRequestFreeLicense: IntEnumValue = 5572
    ClientRequestFreeLicenseResponse: IntEnumValue = 5573
    ClientDRMDownloadRequestWithCrashData: IntEnumValue = 5574
    ClientAuthListAck: IntEnumValue = 5575
    ClientItemAnnouncements: IntEnumValue = 5576
    ClientRequestItemAnnouncements: IntEnumValue = 5577
    ClientFriendMsgEchoToSender: IntEnumValue = 5578
    ClientOGSGameServerPingSample: IntEnumValue = 5581
    ClientCommentNotifications: IntEnumValue = 5582
    ClientRequestCommentNotifications: IntEnumValue = 5583
    ClientPersonaChangeResponse: IntEnumValue = 5584
    ClientRequestWebAPIAuthenticateUserNonce: IntEnumValue = 5585
    ClientRequestWebAPIAuthenticateUserNonceResponse: IntEnumValue = 5586
    ClientPlayerNicknameList: IntEnumValue = 5587
    AMClientSetPlayerNickname: IntEnumValue = 5588
    AMClientSetPlayerNicknameResponse: IntEnumValue = 5589
    ClientCreateAccountProto: IntEnumValue = 5590
    ClientCreateAccountProtoResponse: IntEnumValue = 5591
    ClientGetNumberOfCurrentPlayersDP: IntEnumValue = 5592
    ClientGetNumberOfCurrentPlayersDPResponse: IntEnumValue = 5593
    ClientServiceMethod: IntEnumValue = 5594
    ClientServiceMethodResponse: IntEnumValue = 5595
    ClientFriendUserStatusPublished: IntEnumValue = 5596
    ClientCurrentUIMode: IntEnumValue = 5597
    ClientVanityURLChangedNotification: IntEnumValue = 5598
    ClientUserNotifications: IntEnumValue = 5599

    BaseDFS: IntEnumValue = 5600
    DFSGetFile: IntEnumValue = 5601
    DFSInstallLocalFile: IntEnumValue = 5602
    DFSConnection: IntEnumValue = 5603
    DFSConnectionReply: IntEnumValue = 5604
    ClientDFSAuthenticateRequest: IntEnumValue = 5605
    ClientDFSAuthenticateResponse: IntEnumValue = 5606
    ClientDFSEndSession: IntEnumValue = 5607
    DFSPurgeFile: IntEnumValue = 5608
    DFSRouteFile: IntEnumValue = 5609
    DFSGetFileFromServer: IntEnumValue = 5610
    DFSAcceptedResponse: IntEnumValue = 5611
    DFSRequestPingback: IntEnumValue = 5612
    DFSRecvTransmitFile: IntEnumValue = 5613
    DFSSendTransmitFile: IntEnumValue = 5614
    DFSRequestPingback2: IntEnumValue = 5615
    DFSResponsePingback2: IntEnumValue = 5616
    ClientDFSDownloadStatus: IntEnumValue = 5617
    DFSStartTransfer: IntEnumValue = 5618
    DFSTransferComplete: IntEnumValue = 5619
    DFSRouteFileResponse: IntEnumValue = 5620
    ClientNetworkingCertRequest: IntEnumValue = 5621
    ClientNetworkingCertRequestResponse: IntEnumValue = 5622

    BaseMDS: IntEnumValue = 5800
    AMToMDSGetDepotDecryptionKey: IntEnumValue = 5812
    MDSToAMGetDepotDecryptionKeyResponse: IntEnumValue = 5813
    MDSContentServerConfigRequest: IntEnumValue = 5827
    MDSContentServerConfig: IntEnumValue = 5828
    MDSGetDepotManifest: IntEnumValue = 5829
    MDSGetDepotManifestResponse: IntEnumValue = 5830
    MDSGetDepotManifestChunk: IntEnumValue = 5831
    MDSGetDepotChunk: IntEnumValue = 5832
    MDSGetDepotChunkResponse: IntEnumValue = 5833
    MDSGetDepotChunkChunk: IntEnumValue = 5834
    MDSGetServerListForUser: IntEnumValue = 5836
    MDSGetServerListForUserResponse: IntEnumValue = 5837
    MDSToCSFlushChunk: IntEnumValue = 5844
    MDSMigrateChunk: IntEnumValue = 5847
    MDSMigrateChunkResponse: IntEnumValue = 5848

    CSBase: IntEnumValue = 6200
    CSPing: IntEnumValue = 6201
    CSPingResponse: IntEnumValue = 6202

    GMSBase: IntEnumValue = 6400
    GMSGameServerReplicate: IntEnumValue = 6401
    ClientGMSServerQuery: IntEnumValue = 6403
    GMSClientServerQueryResponse: IntEnumValue = 6404
    AMGMSGameServerUpdate: IntEnumValue = 6405
    AMGMSGameServerRemove: IntEnumValue = 6406
    GameServerOutOfDate: IntEnumValue = 6407

    DeviceAuthorizationBase: IntEnumValue = 6500
    ClientAuthorizeLocalDeviceRequest: IntEnumValue = 6501
    ClientAuthorizeLocalDeviceResponse: IntEnumValue = 6502
    ClientDeauthorizeDeviceRequest: IntEnumValue = 6503
    ClientDeauthorizeDevice: IntEnumValue = 6504
    ClientUseLocalDeviceAuthorizations: IntEnumValue = 6505
    ClientGetAuthorizedDevices: IntEnumValue = 6506
    ClientGetAuthorizedDevicesResponse: IntEnumValue = 6507
    AMNotifySessionDeviceAuthorized: IntEnumValue = 6508
    ClientAuthorizeLocalDeviceNotification: IntEnumValue = 6509

    MMSBase: IntEnumValue = 6600
    ClientMMSCreateLobby: IntEnumValue = 6601
    ClientMMSCreateLobbyResponse: IntEnumValue = 6602
    ClientMMSJoinLobby: IntEnumValue = 6603
    ClientMMSJoinLobbyResponse: IntEnumValue = 6604
    ClientMMSLeaveLobby: IntEnumValue = 6605
    ClientMMSLeaveLobbyResponse: IntEnumValue = 6606
    ClientMMSGetLobbyList: IntEnumValue = 6607
    ClientMMSGetLobbyListResponse: IntEnumValue = 6608
    ClientMMSSetLobbyData: IntEnumValue = 6609
    ClientMMSSetLobbyDataResponse: IntEnumValue = 6610
    ClientMMSGetLobbyData: IntEnumValue = 6611
    ClientMMSLobbyData: IntEnumValue = 6612
    ClientMMSSendLobbyChatMsg: IntEnumValue = 6613
    ClientMMSLobbyChatMsg: IntEnumValue = 6614
    ClientMMSSetLobbyOwner: IntEnumValue = 6615
    ClientMMSSetLobbyOwnerResponse: IntEnumValue = 6616
    ClientMMSSetLobbyGameServer: IntEnumValue = 6617
    ClientMMSLobbyGameServerSet: IntEnumValue = 6618
    ClientMMSUserJoinedLobby: IntEnumValue = 6619
    ClientMMSUserLeftLobby: IntEnumValue = 6620
    ClientMMSInviteToLobby: IntEnumValue = 6621
    ClientMMSFlushFrenemyListCache: IntEnumValue = 6622
    ClientMMSFlushFrenemyListCacheResponse: IntEnumValue = 6623
    ClientMMSSetLobbyLinked: IntEnumValue = 6624

    NonStdMsgBase: IntEnumValue = 6800
    NonStdMsgMemcached: IntEnumValue = 6801
    NonStdMsgHTTPServer: IntEnumValue = 6802
    NonStdMsgHTTPClient: IntEnumValue = 6803
    NonStdMsgWGResponse: IntEnumValue = 6804
    NonStdMsgPHPSimulator: IntEnumValue = 6805
    NonStdMsgChase: IntEnumValue = 6806
    NonStdMsgDFSTransfer: IntEnumValue = 6807
    NonStdMsgTests: IntEnumValue = 6808
    NonStdMsgUMQpipeAAPL: IntEnumValue = 6809
    NonStdMsgLogsink: IntEnumValue = 6811
    NonStdMsgSteam2Emulator: IntEnumValue = 6812
    NonStdMsgRTMPServer: IntEnumValue = 6813

    UDSBase: IntEnumValue = 7000
    ClientUDSP2PSessionStarted: IntEnumValue = 7001
    ClientUDSP2PSessionEnded: IntEnumValue = 7002
    UDSRenderUserAuth: IntEnumValue = 7003
    UDSRenderUserAuthResponse: IntEnumValue = 7004
    ClientUDSInviteToGame: IntEnumValue = 7005
    UDSHasSession: IntEnumValue = 7006
    UDSHasSessionResponse: IntEnumValue = 7007

    MPASBase: IntEnumValue = 7100
    MPASVacBanReset: IntEnumValue = 7101

    KGSBase: IntEnumValue = 7200

    UCMBase: IntEnumValue = 7300
    ClientUCMAddScreenshot: IntEnumValue = 7301
    ClientUCMAddScreenshotResponse: IntEnumValue = 7302
    UCMResetCommunityContent: IntEnumValue = 7307
    UCMResetCommunityContentResponse: IntEnumValue = 7308
    ClientUCMDeleteScreenshot: IntEnumValue = 7309
    ClientUCMDeleteScreenshotResponse: IntEnumValue = 7310
    ClientUCMPublishFile: IntEnumValue = 7311
    ClientUCMPublishFileResponse: IntEnumValue = 7312
    ClientUCMDeletePublishedFile: IntEnumValue = 7315
    ClientUCMDeletePublishedFileResponse: IntEnumValue = 7316
    ClientUCMEnumerateUserPublishedFiles: IntEnumValue = 7317
    ClientUCMEnumerateUserPublishedFilesResponse: IntEnumValue = 7318
    ClientUCMEnumerateUserSubscribedFiles: IntEnumValue = 7321
    ClientUCMEnumerateUserSubscribedFilesResponse: IntEnumValue = 7322
    ClientUCMUpdatePublishedFile: IntEnumValue = 7325
    ClientUCMUpdatePublishedFileResponse: IntEnumValue = 7326
    UCMUpdatePublishedFile: IntEnumValue = 7327
    UCMUpdatePublishedFileResponse: IntEnumValue = 7328
    UCMDeletePublishedFile: IntEnumValue = 7329
    UCMDeletePublishedFileResponse: IntEnumValue = 7330
    UCMUpdatePublishedFileStat: IntEnumValue = 7331
    UCMUpdatePublishedFileBan: IntEnumValue = 7332
    UCMUpdatePublishedFileBanResponse: IntEnumValue = 7333
    UCMReloadPublishedFile: IntEnumValue = 7337
    UCMReloadUserFileListCaches: IntEnumValue = 7338
    UCMPublishedFileReported: IntEnumValue = 7339
    UCMUpdatePublishedFileIncompatibleStatus: IntEnumValue = 7340
    UCMPublishedFilePreviewAdd: IntEnumValue = 7341
    UCMPublishedFilePreviewAddResponse: IntEnumValue = 7342
    UCMPublishedFilePreviewRemove: IntEnumValue = 7343
    UCMPublishedFilePreviewRemoveResponse: IntEnumValue = 7344
    ClientUCMPublishedFileSubscribed: IntEnumValue = 7347
    ClientUCMPublishedFileUnsubscribed: IntEnumValue = 7348
    UCMPublishedFileSubscribed: IntEnumValue = 7349
    UCMPublishedFileUnsubscribed: IntEnumValue = 7350
    UCMPublishFile: IntEnumValue = 7351
    UCMPublishFileResponse: IntEnumValue = 7352
    UCMPublishedFileChildAdd: IntEnumValue = 7353
    UCMPublishedFileChildAddResponse: IntEnumValue = 7354
    UCMPublishedFileChildRemove: IntEnumValue = 7355
    UCMPublishedFileChildRemoveResponse: IntEnumValue = 7356
    UCMPublishedFileParentChanged: IntEnumValue = 7359
    UCMGetPublishedFilesForUser: IntEnumValue = 7362
    UCMGetPublishedFilesForUserResponse: IntEnumValue = 7363
    ClientUCMSetUserPublishedFileAction: IntEnumValue = 7364
    ClientUCMSetUserPublishedFileActionResponse: IntEnumValue = 7365
    ClientUCMEnumeratePublishedFilesByUserAction: IntEnumValue = 7366
    ClientUCMEnumeratePublishedFilesByUserActionResponse: IntEnumValue = 7367
    ClientUCMPublishedFileDeleted: IntEnumValue = 7368
    UCMGetUserSubscribedFiles: IntEnumValue = 7369
    UCMGetUserSubscribedFilesResponse: IntEnumValue = 7370
    UCMFixStatsPublishedFile: IntEnumValue = 7371
    ClientUCMEnumerateUserSubscribedFilesWithUpdates: IntEnumValue = 7378
    ClientUCMEnumerateUserSubscribedFilesWithUpdatesResponse: IntEnumValue = 7379
    UCMPublishedFileContentUpdated: IntEnumValue = 7380
    UCMPublishedFileUpdated: IntEnumValue = 7381
    ClientWorkshopItemChangesRequest: IntEnumValue = 7382
    ClientWorkshopItemChangesResponse: IntEnumValue = 7383
    ClientWorkshopItemInfoRequest: IntEnumValue = 7384
    ClientWorkshopItemInfoResponse: IntEnumValue = 7385

    FSBase: IntEnumValue = 7500
    ClientRichPresenceUpload: IntEnumValue = 7501
    ClientRichPresenceRequest: IntEnumValue = 7502
    ClientRichPresenceInfo: IntEnumValue = 7503
    FSRichPresenceRequest: IntEnumValue = 7504
    FSRichPresenceResponse: IntEnumValue = 7505
    FSComputeFrenematrix: IntEnumValue = 7506
    FSComputeFrenematrixResponse: IntEnumValue = 7507
    FSPlayStatusNotification: IntEnumValue = 7508
    FSPublishPersonaStatus: IntEnumValue = 7509
    FSAddOrRemoveFollower: IntEnumValue = 7510
    FSAddOrRemoveFollowerResponse: IntEnumValue = 7511
    FSUpdateFollowingList: IntEnumValue = 7512
    FSCommentNotification: IntEnumValue = 7513
    FSCommentNotificationViewed: IntEnumValue = 7514
    ClientFSGetFollowerCount: IntEnumValue = 7515
    ClientFSGetFollowerCountResponse: IntEnumValue = 7516
    ClientFSGetIsFollowing: IntEnumValue = 7517
    ClientFSGetIsFollowingResponse: IntEnumValue = 7518
    ClientFSEnumerateFollowingList: IntEnumValue = 7519
    ClientFSEnumerateFollowingListResponse: IntEnumValue = 7520
    FSGetPendingNotificationCount: IntEnumValue = 7521
    FSGetPendingNotificationCountResponse: IntEnumValue = 7522
    ClientChatOfflineMessageNotification: IntEnumValue = 7523
    ClientChatRequestOfflineMessageCount: IntEnumValue = 7524
    ClientChatGetFriendMessageHistory: IntEnumValue = 7525
    ClientChatGetFriendMessageHistoryResponse: IntEnumValue = 7526
    ClientChatGetFriendMessageHistoryForOfflineMessages: IntEnumValue = 7527
    ClientFSGetFriendsSteamLevels: IntEnumValue = 7528
    ClientFSGetFriendsSteamLevelsResponse: IntEnumValue = 7529
    FSRequestFriendData: IntEnumValue = 7530

    DRMRange2: IntEnumValue = 7600
    CEGVersionSetEnableDisableRequest: IntEnumValue = 7600
    CEGVersionSetEnableDisableResponse: IntEnumValue = 7601
    CEGPropStatusDRMSRequest: IntEnumValue = 7602
    CEGPropStatusDRMSResponse: IntEnumValue = 7603
    CEGWhackFailureReportRequest: IntEnumValue = 7604
    CEGWhackFailureReportResponse: IntEnumValue = 7605
    DRMSFetchVersionSet: IntEnumValue = 7606
    DRMSFetchVersionSetResponse: IntEnumValue = 7607

    EconBase: IntEnumValue = 7700
    EconTrading_InitiateTradeRequest: IntEnumValue = 7701
    EconTrading_InitiateTradeProposed: IntEnumValue = 7702
    EconTrading_InitiateTradeResponse: IntEnumValue = 7703
    EconTrading_InitiateTradeResult: IntEnumValue = 7704
    EconTrading_StartSession: IntEnumValue = 7705
    EconTrading_CancelTradeRequest: IntEnumValue = 7706
    EconFlushInventoryCache: IntEnumValue = 7707
    EconFlushInventoryCacheResponse: IntEnumValue = 7708
    EconCDKeyProcessTransaction: IntEnumValue = 7711
    EconCDKeyProcessTransactionResponse: IntEnumValue = 7712
    EconGetErrorLogs: IntEnumValue = 7713
    EconGetErrorLogsResponse: IntEnumValue = 7714

    RMRange: IntEnumValue = 7800
    RMTestVerisignOTP: IntEnumValue = 7800
    RMTestVerisignOTPResponse: IntEnumValue = 7801
    RMDeleteMemcachedKeys: IntEnumValue = 7803
    RMRemoteInvoke: IntEnumValue = 7804
    BadLoginIPList: IntEnumValue = 7805
    RMMsgTraceAddTrigger: IntEnumValue = 7806
    RMMsgTraceRemoveTrigger: IntEnumValue = 7807
    RMMsgTraceEvent: IntEnumValue = 7808

    UGSBase: IntEnumValue = 7900
    UGSUpdateGlobalStats: IntEnumValue = 7900
    ClientUGSGetGlobalStats: IntEnumValue = 7901
    ClientUGSGetGlobalStatsResponse: IntEnumValue = 7902

    StoreBase: IntEnumValue = 8000

    UMQBase: IntEnumValue = 8100
    UMQLogonRequest: IntEnumValue = 8100
    UMQLogonResponse: IntEnumValue = 8101
    UMQLogoffRequest: IntEnumValue = 8102
    UMQLogoffResponse: IntEnumValue = 8103
    UMQSendChatMessage: IntEnumValue = 8104
    UMQIncomingChatMessage: IntEnumValue = 8105
    UMQPoll: IntEnumValue = 8106
    UMQPollResults: IntEnumValue = 8107
    UMQ2AM_ClientMsgBatch: IntEnumValue = 8108

    WorkshopBase: IntEnumValue = 8200
    WorkshopAcceptTOSRequest: IntEnumValue = 8200
    WorkshopAcceptTOSResponse: IntEnumValue = 8201

    WebAPIBase: IntEnumValue = 8300
    WebAPIValidateOAuth2Token: IntEnumValue = 8300
    WebAPIValidateOAuth2TokenResponse: IntEnumValue = 8301
    WebAPIRegisterGCInterfaces: IntEnumValue = 8303
    WebAPIInvalidateOAuthClientCache: IntEnumValue = 8304
    WebAPIInvalidateOAuthTokenCache: IntEnumValue = 8305
    WebAPISetSecrets: IntEnumValue = 8306

    BackpackBase: IntEnumValue = 8400
    BackpackAddToCurrency: IntEnumValue = 8401
    BackpackAddToCurrencyResponse: IntEnumValue = 8402

    CREBase: IntEnumValue = 8500
    CREItemVoteSummary: IntEnumValue = 8503
    CREItemVoteSummaryResponse: IntEnumValue = 8504
    CREUpdateUserPublishedItemVote: IntEnumValue = 8507
    CREUpdateUserPublishedItemVoteResponse: IntEnumValue = 8508
    CREGetUserPublishedItemVoteDetails: IntEnumValue = 8509
    CREGetUserPublishedItemVoteDetailsResponse: IntEnumValue = 8510
    CREEnumeratePublishedFiles: IntEnumValue = 8511
    CREEnumeratePublishedFilesResponse: IntEnumValue = 8512
    CREPublishedFileVoteAdded: IntEnumValue = 8513

    SecretsBase: IntEnumValue = 8600
    SecretsRequestCredentialPair: IntEnumValue = 8600
    SecretsCredentialPairResponse: IntEnumValue = 8601

    BoxMonitorBase: IntEnumValue = 8700
    BoxMonitorReportRequest: IntEnumValue = 8700
    BoxMonitorReportResponse: IntEnumValue = 8701

    LogsinkBase: IntEnumValue = 8800
    LogsinkWriteReport: IntEnumValue = 8800

    PICSBase: IntEnumValue = 8900
    ClientPICSChangesSinceRequest: IntEnumValue = 8901
    ClientPICSChangesSinceResponse: IntEnumValue = 8902
    ClientPICSProductInfoRequest: IntEnumValue = 8903
    ClientPICSProductInfoResponse: IntEnumValue = 8904
    ClientPICSAccessTokenRequest: IntEnumValue = 8905
    ClientPICSAccessTokenResponse: IntEnumValue = 8906

    WorkerProcess: IntEnumValue = 9000
    WorkerProcessPingRequest: IntEnumValue = 9000
    WorkerProcessPingResponse: IntEnumValue = 9001
    WorkerProcessShutdown: IntEnumValue = 9002

    DRMWorkerProcess: IntEnumValue = 9100
    DRMWorkerProcessDRMAndSign: IntEnumValue = 9100
    DRMWorkerProcessDRMAndSignResponse: IntEnumValue = 9101
    DRMWorkerProcessSteamworksInfoRequest: IntEnumValue = 9102
    DRMWorkerProcessSteamworksInfoResponse: IntEnumValue = 9103
    DRMWorkerProcessInstallDRMDLLRequest: IntEnumValue = 9104
    DRMWorkerProcessInstallDRMDLLResponse: IntEnumValue = 9105
    DRMWorkerProcessSecretIdStringRequest: IntEnumValue = 9106
    DRMWorkerProcessSecretIdStringResponse: IntEnumValue = 9107
    DRMWorkerProcessInstallProcessedFilesRequest: IntEnumValue = 9110
    DRMWorkerProcessInstallProcessedFilesResponse: IntEnumValue = 9111
    DRMWorkerProcessExamineBlobRequest: IntEnumValue = 9112
    DRMWorkerProcessExamineBlobResponse: IntEnumValue = 9113
    DRMWorkerProcessDescribeSecretRequest: IntEnumValue = 9114
    DRMWorkerProcessDescribeSecretResponse: IntEnumValue = 9115
    DRMWorkerProcessBackfillOriginalRequest: IntEnumValue = 9116
    DRMWorkerProcessBackfillOriginalResponse: IntEnumValue = 9117
    DRMWorkerProcessValidateDRMDLLRequest: IntEnumValue = 9118
    DRMWorkerProcessValidateDRMDLLResponse: IntEnumValue = 9119
    DRMWorkerProcessValidateFileRequest: IntEnumValue = 9120
    DRMWorkerProcessValidateFileResponse: IntEnumValue = 9121
    DRMWorkerProcessSplitAndInstallRequest: IntEnumValue = 9122
    DRMWorkerProcessSplitAndInstallResponse: IntEnumValue = 9123
    DRMWorkerProcessGetBlobRequest: IntEnumValue = 9124
    DRMWorkerProcessGetBlobResponse: IntEnumValue = 9125
    DRMWorkerProcessEvaluateCrashRequest: IntEnumValue = 9126
    DRMWorkerProcessEvaluateCrashResponse: IntEnumValue = 9127
    DRMWorkerProcessAnalyzeFileRequest: IntEnumValue = 9128
    DRMWorkerProcessAnalyzeFileResponse: IntEnumValue = 9129
    DRMWorkerProcessUnpackBlobRequest: IntEnumValue = 9130
    DRMWorkerProcessUnpackBlobResponse: IntEnumValue = 9131
    DRMWorkerProcessInstallAllRequest: IntEnumValue = 9132
    DRMWorkerProcessInstallAllResponse: IntEnumValue = 9133

    TestWorkerProcess: IntEnumValue = 9200
    TestWorkerProcessLoadUnloadModuleRequest: IntEnumValue = 9200
    TestWorkerProcessLoadUnloadModuleResponse: IntEnumValue = 9201
    TestWorkerProcessServiceModuleCallRequest: IntEnumValue = 9202
    TestWorkerProcessServiceModuleCallResponse: IntEnumValue = 9203

    QuestServerBase: IntEnumValue = 9300

    ClientGetEmoticonList: IntEnumValue = 9330
    ClientEmoticonList: IntEnumValue = 9331

    SLCBase: IntEnumValue = 9400
    SLCUserSessionStatus: IntEnumValue = 9400
    SLCRequestUserSessionStatus: IntEnumValue = 9401
    SLCSharedLicensesLockStatus: IntEnumValue = 9402
    ClientSharedLibraryLockStatus: IntEnumValue = 9405
    ClientSharedLibraryStopPlaying: IntEnumValue = 9406
    SLCOwnerLibraryChanged: IntEnumValue = 9407
    SLCSharedLibraryChanged: IntEnumValue = 9408

    RemoteClientBase: IntEnumValue = 9500
    RemoteClientAuth: IntEnumValue = 9500
    RemoteClientAuthResponse: IntEnumValue = 9501
    RemoteClientAppStatus: IntEnumValue = 9502
    RemoteClientStartStream: IntEnumValue = 9503
    RemoteClientStartStreamResponse: IntEnumValue = 9504
    RemoteClientPing: IntEnumValue = 9505
    RemoteClientPingResponse: IntEnumValue = 9506
    ClientUnlockStreaming: IntEnumValue = 9507
    ClientUnlockStreamingResponse: IntEnumValue = 9508
    RemoteClientAcceptEULA: IntEnumValue = 9509
    RemoteClientGetControllerConfig: IntEnumValue = 9510
    RemoteClientGetControllerConfigResposne: IntEnumValue = 9511
    RemoteClientStreamingEnabled: IntEnumValue = 9512
    ClientUnlockHEVC: IntEnumValue = 9513
    ClientUnlockHEVCResponse: IntEnumValue = 9514

    ClientConcurrentSessionsBase: IntEnumValue = 9600
    ClientKickPlayingSession: IntEnumValue = 9601

    ClientBroadcastBase: IntEnumValue = 9700
    ClientBroadcastFrames: IntEnumValue = 9701
    ClientBroadcastDisconnect: IntEnumValue = 9702
    ClientBroadcastScreenshot: IntEnumValue = 9703
    ClientBroadcastUploadConfig: IntEnumValue = 9704

    BaseClient3: IntEnumValue = 9800
    ClientVoiceCallPreAuthorizeResponse: IntEnumValue = 9801
    ClientServerTimestampRequest: IntEnumValue = 9802
